Login
[x]
Log in using an account from:
Fedora Account System
Red Hat Associate
Red Hat Customer
Or login using a Red Hat Bugzilla account
Forgot Password
Login:
Hide Forgot
Create an Account
Red Hat Bugzilla – Attachment 160799 Details for
Bug 250919
IPV6_PRIVACY=rfc3041 in /etc/sysconfig/networking/devices/ifcfg-eth0 does not take effect
[?]
New
Simple Search
Advanced Search
My Links
Browse
Requests
Reports
Current State
Search
Tabular reports
Graphical reports
Duplicates
Other Reports
User Changes
Plotly Reports
Bug Status
Bug Severity
Non-Defaults
|
Product Dashboard
Help
Page Help!
Bug Writing Guidelines
What's new
Browser Support Policy
5.0.4.rh83 Release notes
FAQ
Guides index
User guide
Web Services
Contact
Legal
This site requires JavaScript to be enabled to function correctly, please enable it.
[patch]
Proper support of IPV6_PRIVACY (rfc3041) option
ifup-ipv6-fixIPV6_PRIVACY.diff (text/plain), 2.77 KB, created by
Peter Bieringer
on 2007-08-07 06:08:59 UTC
(
hide
)
Description:
Proper support of IPV6_PRIVACY (rfc3041) option
Filename:
MIME Type:
Creator:
Peter Bieringer
Created:
2007-08-07 06:08:59 UTC
Size:
2.77 KB
patch
obsolete
>--- rh-initscripts-cvs/initscripts/sysconfig/network-scripts/ifup-ipv6 2007-08-05 15:28:32.000000000 +0200 >+++ initscripts-ipv6/common.stripped/etc/sysconfig/network-scripts/ifup-ipv6 2007-08-07 08:02:24.000000000 +0200 >@@ -4,14 +4,14 @@ > # > # > # Taken from: >-# (P) & (C) 2000-2006 by Peter Bieringer <pb@bieringer.de> >+# (P) & (C) 2000-2007 by Peter Bieringer <pb@bieringer.de> > # > # You will find more information on the initscripts-ipv6 homepage at > # http://www.deepspace6.net/projects/initscripts-ipv6.html > # > # RHL integration assistance by Pekka Savola <pekkas@netcore.fi> > # >-# Version: 2006-07-20 >+# Version: 2007-08-07 > # > # Note: if called (like normally) by /etc/sysconfig/network-scripts/ifup > # exit codes aren't handled by "ifup" >@@ -30,8 +30,8 @@ > # IPV6FORWARDING=yes: IPV6_AUTOCONF=no, IPV6_ROUTER=yes > # IPV6FORWARDING=no: IPV6_AUTOCONF=yes > # IPV6_MTU=<MTU for IPv6>: controls IPv6 MTU for this link (optional) >-# IPV6_PRIVACY="rfc3041": control IPv6 privacy (optional) >-# This script only supports "rfc3041" (if kernel supports it) >+# IPV6_PRIVACY="rfc3041|yes": control IPv6 privacy (optional) >+# This script only supports "rfc3041" (if kernel supports it), "yes" is an alias for "rfc3041" > # > # Optional for 6to4 tunneling (hardwired name of tunnel device is "tun6to4"): > # IPV6TO4INIT=yes|no: controls 6to4 tunneling setup >@@ -83,6 +83,23 @@ > exit 1 > fi > >+# Called by pre-interface-up? >+if [ "$2" = "pre-interface-up" ]; then >+ # Save default value for later restore >+ value="`ipv6_exec_sysctl net.ipv6.conf.default.use_tempaddr | awk '{ print $3 }'`" >+ echo "$value" >/var/lock/ipv6.lock >+ # Enable IPv6 RFC3041 privacy extensions if desired >+ if [ "$IPV6_PRIVACY" = "rfc3041" -o "$IPV6_PRIVACY" = "yes" ]; then >+ if [ $value -eq 0 ]; then >+ ipv6_exec_sysctl -w net.ipv6.conf.default.use_tempaddr=2 >/dev/null 2>&1 >+ fi >+ if [ $? -ne 0 ]; then >+ echo $"Cannot enable IPv6 privacy method '$IPV6_PRIVACY', not supported by kernel" >+ fi >+ fi >+ exit >+fi >+ > # Setup IPv6 address on specified interface > if [ -n "$IPV6ADDR" ]; then > ipv6_add_addr_on_device $DEVICE $IPV6ADDR || exit 1 >@@ -141,11 +158,19 @@ > fi > > # Enable IPv6 RFC3041 privacy extensions if desired >-if [ "$IPV6_PRIVACY" = "rfc3041" ]; then >+if [ "$IPV6_PRIVACY" = "rfc3041" -o "$IPV6_PRIVACY" = "yes" ]; then > ipv6_exec_sysctl -w net.ipv6.conf.$DEVICE.use_tempaddr=2 >/dev/null 2>&1 > if [ $? -ne 0 ]; then > echo $"Cannot enable IPv6 privacy method '$IPV6_PRIVACY', not supported by kernel" > fi >+ # Restore default value >+ if [ -f /var/lock/ipv6.lock ]; then >+ value="`cat /var/lock/ipv6.lock`" >+ rm -f /var/lock/ipv6.lock >+ if [ -n "$value" ]; then >+ ipv6_exec_sysctl -w net.ipv6.conf.default.use_tempaddr=$value >/dev/null 2>&1 >+ fi >+ fi > fi > > # Setup default IPv6 route, check are done by function
You cannot view the attachment while viewing its details because your browser does not support IFRAMEs.
View the attachment on a separate page
.
View Attachment As Diff
View Attachment As Raw
Actions:
View
|
Diff
Attachments on
bug 250919
:
160712
|
160714
|
160799
|
160800
|
161110
|
161111
|
495410